Update 9.0.8 to 9.1.0

update_issue
update
upgrade
help
webserver_issue

#1

Hallo to all.

I have a big problem.
I wanna update my OC from version 9.0.8 to 9.1.0 and after to 9.1.4.
My problem is that OC says "Exception: Updates between multiple major versions and downgrades are unsupported.
Update failed"

I have done following steps:
1. download the 9.1.0 tar
2. untar it
3. copy my conf and data folder to the untared folder
4. change my document root to the new folder
5. open the website
6. click on update
NOW EXCEPTION...

Server configuration
Operating system: CentOS 7
Web server: Apache 2.4.6
Database: mysql 5.6.35
PHP version: 5.4
ownCloud version (see ownCloud admin page): 9.0.8
Updated from an older ownCloud or fresh install: from an older owncloud
Special configuration (external storage, external authentication, reverse proxy, server-side-encryption): nothing

ownCloud log (data/owncloud.log)

{"reqId":"FROUIN5j9FnYkQXOFntP","remoteAddr":"","app":"core","message":"starting upgrade from 8.2.10.2 to 9.1.0.15","level":0,"time":"2017-02-24T17:34:33+01:00","method":"--","url":"--","user":"--"}
{"reqId":"FROUIN5j9FnYkQXOFntP","remoteAddr":"","app":"core","message":"Exception: {\"Exception\":\"Exception\",\"Message\":\"Updates between multiple major versions and downgrades are unsupported.\",\"Code\":0,\"Trace\":\"#0 XXXXXXX/owncloud\\\/lib\\\/private\\\/Updater.php(150): OC\\\\Updater->doUpgrade('9.1.0.15', '8.2.10.2')\\n#1 XXXXXXXXXXX/owncloud\\\/core\\\/Command\\\/Upgrade.php(290): OC\\\\Updater->upgrade()\\n#2 XXXXXX/owncloud\\\/3rdparty\\\/symfony\\\/console\\\/Command\\\/Command.php(259): OC\\\\Core\\\\Command\\\\Upgrade->execute(Object(Symfony\\\\Component\\\\Console\\\\Input\\\\ArgvInput), Object(Symfony\\\\Component\\\\Console\\\\Output\\\\ConsoleOutput))\\n#3 XXXXXX/owncloud\\\/3rdparty\\\/symfony\\\/console\\\/Application.php(844): Symfony\\\\Component\\\\Console\\\\Command\\\\Command->run(Object(Symfony\\\\Component\\\\Console\\\\Input\\\\ArgvInput), Object(Symfony\\\\Component\\\\Console\\\\Output\\\\ConsoleOutput))\\n#4XXXXX/owncloud\\\/3rdparty\\\/symfony\\\/console\\\/Application.php(192): Symfony\\\\Component\\\\Console\\\\Application->doRunCommand(Object(OC\\\\Core\\\\Command\\\\Upgrade), Object(Symfony\\\\Component\\\\Console\\\\Input\\\\ArgvInput), Object(Symfony\\\\Component\\\\Console\\\\Output\\\\ConsoleOutput))\\n#5 XXXXXX/owncloud\\\/3rdparty\\\/symfony\\\/console\\\/Application.php(123): Symfony\\\\Component\\\\Console\\\\Application->doRun(Object(Symfony\\\\Component\\\\Console\\\\Input\\\\ArgvInput), Object(Symfony\\\\Component\\\\Console\\\\Output\\\\ConsoleOutput))\\n#6 XXXXXX/owncloud\\\/lib\\\/private\\\/Console\\\/Application.php(146): Symfony\\\\Component\\\\Console\\\\Application->run(NULL, NULL)\\n#7 XXXXXX/owncloud\\\/console.php(94): OC\\\\Console\\\\Application->run()\\n#8 XXXXXXX/owncloud\\\/occ(11): require_once('XXXXXXX/o...')\\n#9 {main}\",\"File\":\"XXXXXXXX/owncloud\\\/lib\\\/private\\\/Updater.php\",\"Line\":210}","level":3,"time":"2017-02-24T17:34:33+01:00","method":"--","url":"--","user":"--"}

#2

I also tried it with the "./occ upgrade".
Same problem...

(sorry for my bad English i'm from Germany)

PS: it's a manual installation so i can't update it with "yum update owncloud"


#3

Hi,

you're currently trying to upgrade a 8.2.10 (not 9.0.8) installation to 9.1.0. As the message is stating this is not possible. A correct upgrade path from 8.2.10 to 9.1.x would be:

8.2.10 -> 9.0.8 -> 9.1.4

Each releases are available here: https://owncloud.org/changelog.

How do do the manual upgrade itself is explained in https://doc.owncloud.org/server/latest/admin_manual/maintenance/manual_upgrade.html


#4

No.

My version in OC says it's a ownCloud 9.0.8 (stable) version.

i updated my OC in the last 2 hours from 8.1.8 --> 8.2.10 --> 9.0.8.

I updated it like:
1. download the 9.1.0 tar
2. untar it
3. copy my conf and data folder to the untared folder
4. change my document root to the new folder
5. open the website
6. click on update

On my version 9.0.8:
sudo -u apache ./occ upgrade
ownCloud is already latest version

From my verions.php:
$OC_Version = array(9,0,8,2);


#5

I don't know what i did, but now i tried it again and now the update is done :D.

FIXED!